/* 
    This class has a function which takes an array of strings of size 5
    five strings are passed to this function in this order : 
    date month_no year hours mins.

    The function returns the no. of milliseconds since midnight of 1st 
    Jan,1970. In case, there is some error in the format of the strings 
    supplied to the function, -1 is returned.
*/

import java.sql.*;
import java.io.*;
import java.util.*;

public class DateVerify
{
    final String mname[] = {"Jan","Feb","Mar","Apr","May","Jun","Jul",
        "Aug","Sep","Oct","Nov","Dec"};

    public long dateVerifier (String s[])
    {
        long milliseconds = -1;
        try {
	    int mno = Integer.parseInt(s[1]); // used to index the array mname
	    String to_submit = s[0]+" "+mname[mno-1]+" "+s[2]+" "+s[3]+":"+s[4]+
	        ":00";
     	    milliseconds = java.util.Date.parse(to_submit);
	}
    	catch (Exception e) {
// if any exception arises in parsing the date, -1 is returned
    	}
	finally {
	    return milliseconds;
	}
    }
}


