#!/bin/sh

PATH=$PATH:.
touch newleft
touch /tmp/abc3 out2 out3
# invoke the perl script which will extract the new entries added to the
# logfile added since the previous updation. 
# $1 -- previous offset
# $2 -- previous time stamp
# $3 -- the raw log file
# $4 -- the file to which the new offset and the timestamp are to be written
# testlog -- the file in which the extracted entries from the logfile are put
email1.perl $3 testlog $4 $1 $2
awk -f firstlevel.awk leftover out3 testlog newleft | sort -n > w1
cat out2 w1 | sort -n > w2
email2.perl w2 /tmp/abc3 out2 out3
mv newleft leftover
