#!/pkgs/local/bin/perl

# all this logfile does is that it takes in the relevant portions of the 
# logfile which had been extracted out by an earlier perl and awk scripts
# this perl script formats this logfile in the format needed by the java
# program for insertion into the database.

if (@ARGV != 4) {
    die ("Usage : mail.pl [infile] [outfile1] [outfile2] [outfile3] \n");
}

#open the input and the output files 
open (INFILE,$ARGV[0]);
open (OUTFILE1,">".$ARGV[1]);
open (OUTFILE2,">".$ARGV[2]);
open (OUTFILE3,">".$ARGV[3]);

$inputline = <INFILE>;
while ($inputline ne "") { 		# while there is any input
    chop ($inputline);
    @inarr = split (/  */,$inputline);
    if (($inarr[2] eq "success") || ($inarr[2] eq "failure")) {
        if ($inarr[2] eq "success") {
	    print OUTFILE1 ("'S', ");
	}
	else {
	    print OUTFILE1 ("'F', ");
	}
	$inarr[3] =~ s/\..*$//g;
	print OUTFILE1 ($inarr[3],", ");
        $inputline = <INFILE>;
	$deferrals = 0;
	while ($inputline ne "") {
            chop ($inputline);
    	    @inarr1 = split (/  */,$inputline);
	    $inarr1[3] =~ s/\..*$//g;
	    $inarr1[4] =~ s/[<>]//g;
	    if ($inarr1[4] eq "") {
	        $inarr1[4] = "anonymous\@anonymous.com";
	    }
	    if ($inarr1[2] eq "s") {
	        @temp1 = split (/@/,$inarr1[4]);
		@temp2 = split (/@/,$inarr1[5]);
		$inarr1[7] =~ s/://g;
		print OUTFILE1 ($inarr1[3],", '",$temp1[0],"', '" ,$temp1[1],
		    "', '",$temp2[0],"', '",$temp2[1],"', ",$inarr1[7],", ");
		print OUTFILE1 ($deferrals,"\n");
		last;			# break out of the loop
	    }
	    else {
	        $deferrals = $deferrals + 1;
	    }
	    $inputline = <INFILE>;
	}
    }
    elsif ($inarr[2] eq "deferral") {
	print OUTFILE2 ($inputline,"\n");		# write to file2
	$inputline = <INFILE>;
	while ($inputline ne "") {
	    print OUTFILE2 ($inputline); 		# write to file2
	    @inarr1 = split (/  */,$inputline);
	    if ($inarr1[2] eq "s") {
	        print OUTFILE3 ($inarr1[0]," ",$inarr1[7]);
	        last;				# break from the loop
	    }
    	    $inputline = <INFILE>;
	}
    }
    elsif ($inarr[2] eq "s") {
	print OUTFILE2 ($inputline,"\n");		# write to file2
	print OUTFILE3 ($inarr[0]," ",$inarr[7],"\n");     # write to file3
    }
    else {
    	# do nothing
    }
    $inputline = <INFILE>;
}
